Skip to main content

Create Resident Payment: Propertyware REST

POSThttps://api.propexo.com/v1/resident-payments/propertyware_rest/
MethodInterface
POST /v1/leases/paymentsLeases
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    lease_idstringrequired

    The Propexo unique identifier for the lease

    resident_idstringrequired

    The Propexo unique identifier for the resident

    financial_account_idstringrequired

    The Propexo unique identifier for the financial account

    amount_in_centsintegerrequired

    The amount of the resident payment, in cents

    transaction_datestringrequired

    The transaction date of the resident payment

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    payment_typestringrequired

    The type of payment used for the resident payment

    Show 14 enum values
    CHECKCHECK21CASHIERS_CHECKCREDIT_CARDCASHMONEY_ORDEROTHERCLICKPAYSECTION8EPAYECHECKNACHARENTMONEYPUBLIC_ASSISTANCE
    reference_numberstringrequired

    The reference number for the resident payment

    descriptionstring

    Description of the resident payment

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    lease_idstringrequired

    The Propexo unique identifier for the lease

    resident_idstringrequired

    The Propexo unique identifier for the resident

    financial_account_idstringrequired

    The Propexo unique identifier for the financial account

    amount_in_centsintegerrequired

    The amount of the resident payment, in cents

    transaction_datestring | nullnullablerequired
    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    payment_typestringrequired

    The type of payment used for the resident payment

    Show 14 enum values
    CHECKCHECK21CASHIERS_CHECKCREDIT_CARDCASHMONEY_ORDEROTHERCLICKPAYSECTION8EPAYECHECKNACHARENTMONEYPUBLIC_ASSISTANCE
    reference_numberstringrequired

    The reference number for the resident payment

    descriptionstring | nullnullablerequired

    Description of the resident payment

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/resident-payments/propertyware_rest/
curl -X POST https://api.propexo.com/v1/resident-payments/propertyware_rest/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"lease_id": "string",
"resident_id": "string",
"financial_account_id": "string",
"amount_in_cents": 0,
"transaction_date": "2024-07-29T15:51:28.071Z",
"payment_type": "CHECK",
"reference_number": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lease_id": "string",
"resident_id": "string",
"financial_account_id": "string",
"amount_in_cents": 0,
"transaction_date": "2024-07-29T15:51:28.071Z",
"payment_type": "CHECK",
"reference_number": "string",
"description": "string"
}
}